Trader Backend API Specs
koala.markets TraderBackendApi (3.3.16.0)
Download OpenAPI specification:Download
Documentation of koala.markets Trader Backend APIs
List of AMLMonitorCustomerPEPRecords for Anti Money Laundering monitoring
Return a list of AMLMonitorCustomerPEPRecords for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Whether the result should contain in-active records |
| includeOnlyIsBanned | boolean Whether the result should contain only banned records |
| startDate | string <date-time> First Creation Date |
| endDate | string <date-time> Last Creation Date |
| customerId | string <uuid> Customer Id |
| pageNumber | integer <int32> [ 1 .. 2147483647 ] Default: 1 Example: pageNumber=1 Requested Page Of The List |
| recordsPerPage | integer <int32> [ 1 .. 2147483647 ] Default: 100 Example: recordsPerPage=10 Number of Records Per Page In The List |
Responses
Response samples
- 200
- 400
- 500
[- {
- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLMonitorCustomerPEPRecord
Creates a new AMLMonitorCustomerPEPRecord
Authorizations:
Request Body schema:
AMLMonitorCustomerPEPRecordBase
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLMonitorCustomerPEPRecord details by the given input
Updates AMLMonitorCustomerPEPRecord details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerPEPRecord to update |
Request Body schema:
AMLMonitorCustomerPEPRecord base info to update
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLMonitorCustomerPEPRecord in-active
De-Activates AMLMonitorCustomerPEPRecord
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerPEPRecord to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLMonitorCustomerSanctionRecords for Anti Money Laundering monitoring
Return a list of AMLMonitorCustomerSanctionRecords for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Whether the result should contain in-active records |
| includeOnlyIsBanned | boolean Whether the result should contain only banned records |
| startDate | string <date-time> First Creation Date |
| endDate | string <date-time> Last Creation Date |
| customerId | string <uuid> Customer Id |
| pageNumber | integer <int32> [ 1 .. 2147483647 ] Default: 1 Example: pageNumber=1 Requested Page Of The List |
| recordsPerPage | integer <int32> [ 1 .. 2147483647 ] Default: 100 Example: recordsPerPage=10 Number of Records Per Page In The List |
Responses
Response samples
- 200
- 400
- 500
[- {
- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLMonitorCustomerSanctionRecord
Creates a new AMLMonitorCustomerSanctionRecord
Authorizations:
Request Body schema:
AMLMonitorCustomerSanctionRecordBase
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLMonitorCustomerSanctionRecord details by the given input
Updates AMLMonitorCustomerSanctionRecord details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerSanctionRecord to update |
Request Body schema:
AMLMonitorCustomerSanctionRecord base info to update
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLMonitorCustomerSanctionRecord in-active
De-Activates AMLMonitorCustomerSanctionRecord
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerSanctionRecord to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLMonitorCustomerOtherRecords for Anti Money Laundering monitoring
Return a list of AMLMonitorCustomerOtherRecords for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Whether the result should contain in-active records |
| includeOnlyIsBanned | boolean Whether the result should contain only banned records |
| startDate | string <date-time> First Creation Date |
| endDate | string <date-time> Last Creation Date |
| customerId | string <uuid> Customer Id |
| pageNumber | integer <int32> [ 1 .. 2147483647 ] Default: 1 Example: pageNumber=1 Requested Page Of The List |
| recordsPerPage | integer <int32> [ 1 .. 2147483647 ] Default: 100 Example: recordsPerPage=10 Number of Records Per Page In The List |
Responses
Response samples
- 200
- 400
- 500
[- {
- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "recordType": "Other",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLMonitorCustomerOtherRecord
Creates a new AMLMonitorCustomerOtherRecord
Authorizations:
Request Body schema:
AMLMonitorCustomerOtherRecordBase
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| recordType required | string Enum: "Other" "AdverseMedia" "LegalEnforcement" AdverseMedia: An adverse media hi LegalEnforcement: A legal penalty hit Other: Any other type of hit |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "recordType": "Other",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLMonitorCustomerOtherRecord details by the given input
Updates AMLMonitorCustomerOtherRecord details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerOtherRecord to update |
Request Body schema:
AMLMonitorCustomerOtherRecord base info to update
| customerId required | string <uuid> |
| isActive required | boolean There can only 1 Active record for the same CustomerId. |
| dateStart | string <date-time> When this record's effect start |
| dateEnd | string or null <date-time> When this record's effect ends |
| recordType required | string Enum: "Other" "AdverseMedia" "LegalEnforcement" AdverseMedia: An adverse media hi LegalEnforcement: A legal penalty hit Other: Any other type of hit |
| informationSource | string or null <= 36 characters The information source that this record data has been originated. Lionware, Fourthline, etc. |
| isBanned | boolean Whether the transactions of customer should be banned and/or cancelled by anti money laundering officer |
| reason | string or null <= 64 characters The reason if this customer should be screened or banned/cancelled for transactions. |
| note | string or null <= 128 characters Notes for this record for future referencing of other users |
Responses
Request samples
- Payload
{- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "isActive": true,
- "dateStart": "2019-08-24T14:15:22Z",
- "dateEnd": "2019-08-24T14:15:22Z",
- "recordType": "Other",
- "informationSource": "string",
- "isBanned": true,
- "reason": "string",
- "note": "string"
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLMonitorCustomerOtherRecord in-active
De-Activates AMLMonitorCustomerOtherRecord
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLMonitorCustomerOtherRecord to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerCashBalances for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerCashBalances for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerCashBalance
Creates a new AMLParameterCustomerCashBalance
Authorizations:
Request Body schema:
AMLParameterCustomerCashBalanceBase
| minAmount required | number <decimal> Minimum money amount that this parameter risk factor is effective for the transaction |
| maxAmount | number or null <decimal> Maximum money amount that this parameter risk factor is effective for the transaction |
| currencyCode required | string = 3 characters 3 letter currency code. default: EUR |
| isActive required | boolean There can only 1 Active record for the MinAmount MaxAmount range. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerCashBalance details by the given input
Updates AMLParameterCustomerCashBalance details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerCashBalance to update |
Request Body schema:
AMLParameterCustomerCashBalance base info to update
| minAmount required | number <decimal> Minimum money amount that this parameter risk factor is effective for the transaction |
| maxAmount | number or null <decimal> Maximum money amount that this parameter risk factor is effective for the transaction |
| currencyCode required | string = 3 characters 3 letter currency code. default: EUR |
| isActive required | boolean There can only 1 Active record for the MinAmount MaxAmount range. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerCashBalance in-active
De-Activates AMLParameterCustomerCashBalance
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerCashBalance to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerOccupationGroups for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerOccupationGroups for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "occupationGroupCode": "Other",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerOccupationGroup
Creates a new AMLParameterCustomerOccupationGroup
Authorizations:
Request Body schema:
AMLParameterCustomerOccupationGroupBase
| occupationGroupCode required | string Enum: "Other" "PupilOrStudent" "Pensioner" Occupation group code of the customer |
| isActive required | boolean There can only 1 Active record for the same OccupationGroupCode. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "occupationGroupCode": "Other",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerOccupationGroup details by the given input
Updates AMLParameterCustomerOccupationGroup details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerOccupationGroup to update |
Request Body schema:
AMLParameterCustomerOccupationGroup base info to update
| occupationGroupCode required | string Enum: "Other" "PupilOrStudent" "Pensioner" Occupation group code of the customer |
| isActive required | boolean There can only 1 Active record for the same OccupationGroupCode. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "occupationGroupCode": "Other",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerOccupationGroup in-active
De-Activates AMLParameterCustomerOccupationGroup
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerOccupationGroup to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerOriginCountrys for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerOriginCountrys for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerOriginCountry
Creates a new AMLParameterCustomerOriginCountry
Authorizations:
Request Body schema:
AMLParameterCustomerOriginCountryBase
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerOriginCountry details by the given input
Updates AMLParameterCustomerOriginCountry details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerOriginCountry to update |
Request Body schema:
AMLParameterCustomerOriginCountry base info to update
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerOriginCountry in-active
De-Activates AMLParameterCustomerOriginCountry
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerOriginCountry to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerReferenceAccountCountrys for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerReferenceAccountCountrys for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerReferenceAccountCountry
Creates a new AMLParameterCustomerReferenceAccountCountry
Authorizations:
Request Body schema:
AMLParameterCustomerReferenceAccountCountryBase
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerReferenceAccountCountry details by the given input
Updates AMLParameterCustomerReferenceAccountCountry details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerReferenceAccountCountry to update |
Request Body schema:
AMLParameterCustomerReferenceAccountCountry base info to update
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerReferenceAccountCountry in-active
De-Activates AMLParameterCustomerReferenceAccountCountry
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerReferenceAccountCountry to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerResidencyCountrys for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerResidencyCountrys for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerResidencyCountry
Creates a new AMLParameterCustomerResidencyCountry
Authorizations:
Request Body schema:
AMLParameterCustomerResidencyCountryBase
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerResidencyCountry details by the given input
Updates AMLParameterCustomerResidencyCountry details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerResidencyCountry to update |
Request Body schema:
AMLParameterCustomerResidencyCountry base info to update
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerResidencyCountry in-active
De-Activates AMLParameterCustomerResidencyCountry
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerResidencyCountry to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerSectors for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerSectors for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "sectorCode": "string",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerSector
Creates a new AMLParameterCustomerSector
Authorizations:
Request Body schema:
AMLParameterCustomerSectorBase
| sectorCode required | string non-empty Service code for the transaction. This could be from [EmploymentClassifications].SectorCode such as "F" F.01.11.0 |
| isActive required | boolean There can only 1 Active record for the same SectorCode. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "sectorCode": "string",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerSector details by the given input
Updates AMLParameterCustomerSector details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerSector to update |
Request Body schema:
AMLParameterCustomerSector base info to update
| sectorCode required | string non-empty Service code for the transaction. This could be from [EmploymentClassifications].SectorCode such as "F" F.01.11.0 |
| isActive required | boolean There can only 1 Active record for the same SectorCode. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "sectorCode": "string",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerSector in-active
De-Activates AMLParameterCustomerSector
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerSector to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterCustomerAccountUsageTypes for Anti Money Laundering monitoring
Return a list of AMLParameterCustomerAccountUsageTypes for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "accountUsageType": "PortfolioManagement",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterCustomerAccountUsageType parameter
Creates a new AMLParameterCustomerAccountUsageType parameter
Authorizations:
Request Body schema:
AMLParameterCustomerAccountUsageTypeBase
| accountUsageType required | string Enum: "PortfolioManagement" "Brokerage" Account Usage Type for the transaction. "Portfolio Management" or "Brokerage" |
| isActive required | boolean There can only 1 Active record for the same AccountUsageType. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "accountUsageType": "PortfolioManagement",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterCustomerAccountUsageType details by the given input
Updates AMLParameterCustomerAccountUsageType details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerAccountUsageType to update |
Request Body schema:
AMLParameterCustomerAccountUsageType base info to update
| accountUsageType required | string Enum: "PortfolioManagement" "Brokerage" Account Usage Type for the transaction. "Portfolio Management" or "Brokerage" |
| isActive required | boolean There can only 1 Active record for the same AccountUsageType. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "accountUsageType": "PortfolioManagement",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterCustomerAccountUsageType in-active
De-Activates AMLParameterCustomerAccountUsageType
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterCustomerAccountUsageType to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterIndividualTransactionAmounts for Anti Money Laundering monitoring
Return a list of AMLParameterIndividualTransactionAmounts for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "accountUsageType": "PortfolioManagement",
- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterIndividualTransactionAmount
Creates a new AMLParameterIndividualTransactionAmount
Authorizations:
Request Body schema:
AMLParameterIndividualTransactionAmountBase
| accountUsageType required | string Enum: "PortfolioManagement" "Brokerage" Account Usage Type for the transaction. "Portfolio Management" or "Brokerage" |
| minAmount required | number <decimal> Minimum money amount that this parameter risk factor is effective for the transaction |
| maxAmount | number or null <decimal> Maximum money amount that this parameter risk factor is effective for the transaction |
| currencyCode required | string = 3 characters 3 letter currency code. default: EUR |
| isActive required | boolean There can only 1 Active record for the same AccountUsageType. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "accountUsageType": "PortfolioManagement",
- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterIndividualTransactionAmount details by the given input
Updates AMLParameterIndividualTransactionAmount details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterIndividualTransactionAmount to update |
Request Body schema:
AMLParameterIndividualTransactionAmount base info to update
| accountUsageType required | string Enum: "PortfolioManagement" "Brokerage" Account Usage Type for the transaction. "Portfolio Management" or "Brokerage" |
| minAmount required | number <decimal> Minimum money amount that this parameter risk factor is effective for the transaction |
| maxAmount | number or null <decimal> Maximum money amount that this parameter risk factor is effective for the transaction |
| currencyCode required | string = 3 characters 3 letter currency code. default: EUR |
| isActive required | boolean There can only 1 Active record for the same AccountUsageType. |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "accountUsageType": "PortfolioManagement",
- "minAmount": 0,
- "maxAmount": 0,
- "currencyCode": "str",
- "isActive": true,
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Make AMLParameterIndividualTransactionAmount in-active
De-Activates AMLParameterIndividualTransactionAmount
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterIndividualTransactionAmount to make in-active |
Responses
Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}List of AMLParameterIndividualTransactionOtherAccountCountrys for Anti Money Laundering monitoring
Return a list of AMLParameterIndividualTransactionOtherAccountCountrys for Anti Money Laundering monitoring
Authorizations:
query Parameters
| includeInActiveRecords | boolean Default: false Whether the result should contain in-active records |
Responses
Response samples
- 200
- 400
- 404
- 500
[- {
- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee"
}
]Create AMLParameterIndividualTransactionOtherAccountCountry
Creates a new AMLParameterIndividualTransactionOtherAccountCountry
Authorizations:
Request Body schema:
AMLParameterIndividualTransactionOtherAccountCountryBase
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
- "liableToTax": true,
- "federalState": "DE-HE",
- "defaultBankAccountId": "ba3bfa00-69d3-4e9f-9e9e-548577eac893",
- "defaultInternalAccountId": "8e43b8da-398f-45d7-b542-31497dfc86d1",
- "defaultDepositAccountId": "80b4b163-78a4-4081-9548-2a6753682aed",
- "hasIdentityUser": true,
- "birthName": "Max",
- "title": "Prof.",
- "gender": "Male",
- "salutation": "Mrs.",
- "language": "de_DE",
- "communicationWithPostAllowed": true,
- "communicationWithEmailAllowed": true,
- "communicationWithPhoneAllowed": true,
- "contractualPartnerCode": "CP0001",
- "occupationGroup": "Other",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdUserId": "ea7e097f-834f-4fa5-87fc-4730a5fb67fe",
- "updatedDate": "2019-08-24T14:15:22Z",
- "updatedUserId": "730d09f5-8bb3-40d5-8e8a-99d263e0b0ee",
- "deletedDate": "2019-08-24T14:15:22Z",
- "deletedUserId": "c86f3097-82ed-4a8c-80e7-9b6637ef5759"
}Update AMLParameterIndividualTransactionOtherAccountCountry details by the given input
Updates AMLParameterIndividualTransactionOtherAccountCountry details by the given input
Authorizations:
path Parameters
| recordId required | string <uuid> Id of the AMLParameterIndividualTransactionOtherAccountCountry to update |
Request Body schema:
AMLParameterIndividualTransactionOtherAccountCountry base info to update
| countryCode required | string = 3 characters 3 letter country code in ISO 3166-1 alpha-3 |
| isActive required | boolean There can only 1 Active record for the same CountryCode. |
| countryName required | string [ 1 .. 128 ] characters Name of the Country in English |
| countryGroup required | string [ 1 .. 128 ] characters If this record is a part of group country, the name of that group as a descriptive text. Such as one of: 'EU countries', 'Rest of EU', 'EFTA country', 'Other SEPA countries', 'Third countries outside the EU/SEPA' |
| riskFactor | integer <int32> Risk factor associated for this record, between 1 and 10. You can use very high values such as 100. |
| isBanned | boolean Whether this record should be banned/cancelled/dis-allowed/prohibited from that transaction whatever the risk factor is. If this is true, then, even if the risk factor is 1, this action of customer should be banned/cancelled/dis-allowed/prohibited. |
Responses
Request samples
- Payload
{- "countryCode": "str",
- "isActive": true,
- "countryName": "string",
- "countryGroup": "string",
- "riskFactor": 0,
- "isBanned": true
}Response samples
- 200
- 400
- 413
- 422
- 500
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
- "status": "Onboarded",
- "clientKey": "Example Client Key",
- "name": "Max",
- "surname": "Mustermann",
- "email": "user@example.com",
- "countryOfOrigin": "DEU",
- "nationality": "DEU",
- "dateOfBirth": "1980-11-03",
- "placeOfBirth": "DEU",
- "maritalStatus": "Married",
- "partnerTo": "beeb189e-6602-4378-a7bd-346c1a7cf864",
- "establishedDate": "2022-08-31",
- "clientType": "Business",
- "clientSubType": "DesignatedSponsor",
- "riskClass": "Low",
- "clientLEI": "stringstringstringst",
- "identityNumberType": "NotSet",
- "identityNumber": "345678901234",
[...]
